#ifndef VARGS_H
#define VARGS_H

#ifdef __GNUC__
	typedef __builtin_va_list va_list;
	#define va_start(v,l) __builtin_va_start(v,l)
	#define va_end(v) __builtin_va_end(v)
	#define va_arg(v,l) __builtin_va_arg(v,l)
	#define va_copy(d,s) __builtin_va_copy(d,s)
#else
	#error "Variadic functions aren't supported with any compiler other than GCC."
#endif

#endif /* VARGS_H */
